Subject: Re: Potential bug in gitweb 1.7.2

From: Julio Lajara <[email-masked]>
Date: Mon, 26 Jul 2010 09:52:42 -0400

Hi, Ive managed to narrow down the issue to a line in the gitolite's 
contrib/gitweb/gitweb.conf that I appended to the default 
/etc/gitweb.conf . It was working with 1.7.0.4 but 1.7.2 doesnt like 
this line:

$ENV{GL_USER} = $cgi->remote_user || "gitweb";

I corrected it by just setting it equal to gitweb and all is well now.

Thanks,

On 07/26/2010 09:39 AM, Ævar Arnfjörð Bjarmason wrote:
> On Mon, Jul 26, 2010 at 13:36, Jakub Narebski<[email-masked]>  wrote:
>    
>> On Mon, 26 Jul 2010, Julio Lajara wrote:
>>
>>      
>>> Hi Anders, thanks for the input. I will begin chasing down the issue in
>>> my config then, but its strange that it would stop working as the exact
>>> same configuration works without issue in 1.7.0.4 . Ill follow up with
>>> what I find.
>>>
>>> On 07/26/2010 05:27 AM, Anders Kaseorg wrote:
>>>        
>>      
>>>> The error that Julio originally posted:
>>>>
>>>>
>>>>          
>>>>>> [Sat Jul 24 23:11:41 2010] [error] [client 192.168.1.100] Can't call
>>>>>> method "http" on an undefined value at /usr/share/gitweb/index.cgi
>>>>>> line 3401., referer: http://192.168.1.142/gitweb/
>>>>>>              
>>>> looks very strange, and does not seem like it would result from just a
>>>> packaging problem.
>>>>          
>> Julio, could you show us the neigbourhood of line 3401 in your index.cgi
>> file?  What is this index.cgi file - git doesn't have it?
>>      
> His index.cgi is just gitweb.cgi under a different name. Line 3401 is
> the same as gitweb/gitweb.cgi in the 1.7.2 release.
>